
#include <SPI.h>
#include "nRF24L01.h"
#include "RF24.h"
#include "printf.h"

// Hardware configuration: Set up nRF24L01 radio on SPI bus plus pins 7 & 8 
RF24 radio(7,8);

// Topology
const uint64_t pipes[2] = { 0xF0F0F0F0E1LL, 0xF0F0F0F0D2LL };              // Radio pipe addresses for the 2 nodes to communicate.

uint8_t message[12];

void setup(){

  Serial.begin(115200);
  printf_begin();
  Serial.print(F("\n\r24to51 example/\n\r"));

  //radio configuration
  radio.begin(); 
  radio.setRetries(15, 15); 
  radio.setChannel(0x05); 
  radio.setPALevel(RF24_PA_MAX); 
  radio.setDataRate(RF24_1MBPS); 
  radio.setPayloadSize(0x0c); 
  radio.enableAckPayload();
  radio.enableDynamicPayloads();
  radio.openWritingPipe(pipes[0]); 
  radio.openReadingPipe(1,pipes[1]); 
  radio.startListening(); 
  radio.writeAckPayload(0, &message, 13);
  radio.writeAckPayload(0, &message, 13);
  radio.writeAckPayload(0, &message, 13);
  radio.printDetails();                 // Dump the configuration of the rf unit for debugging
}

void loop(void) {

  if (radio.available())
  {
    radio.read(&message, 12);

    printf("Got message: %d. \n", message[0]);

    radio.startListening();
  }
  else
  {
    delay(10);
  }

}













